Skip to content
ShaireDevelopers

tag-groups

4 endpoints.

get/api/tag-groups#

Request
curl https://api.shairelabs.com/api/tag-groups \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TagGroup[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
createdAtstring*

Also answers 401 and 403. SeeErrors.

post/api/tag-groups#

workspace:adminadmin only

Body

namestring*
min length 1 · max length 60
Request
curl https://api.shairelabs.com/api/tag-groups \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 201 · TagGroup

idstring · uuid*
workspaceIdstring · uuid*
namestring*
createdAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/tag-groups/{id}#

workspace:adminadmin only

Path

idstring*

Body

namestring*
min length 1 · max length 60
Request
curl https://api.shairelabs.com/api/tag-groups/$TAG_GROUP_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 200 · TagGroup

idstring · uuid*
workspaceIdstring · uuid*
namestring*
createdAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/tag-groups/{id}#

workspace:adminadmin only

Path

idstring*
Request
curl https://api.shairelabs.com/api/tag-groups/$TAG_GROUP_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.